# Uses of Class
org.apache.commons.math3.ode.FieldExpandableODE

Packages that use FieldExpandableODE
Package
Description
org.apache.commons.math3.ode
This package provides classes to solve Ordinary Differential Equations problems.
org.apache.commons.math3.ode.nonstiff
This package provides classes to solve non-stiff Ordinary Differential Equations problems.

## Uses of FieldExpandableODE in org.apache.commons.math3.ode

Methods in org.apache.commons.math3.ode that return FieldExpandableODE
Modifier and Type
Method
Description
`protected FieldExpandableODE<T>`
AbstractFieldIntegrator.`getEquations()`
Get the differential equations to integrate.
Methods in org.apache.commons.math3.ode with parameters of type FieldExpandableODE
Modifier and Type
Method
Description
`protected FieldODEStateAndDerivative<T>`
AbstractFieldIntegrator.`initIntegration(FieldExpandableODE<T> eqn, T t0, T[] y0, T t)`
Prepare the start of an integration.
`FieldODEStateAndDerivative<T>`
FirstOrderFieldIntegrator.`integrate(FieldExpandableODE<T> equations, FieldODEState<T> initialState, T finalTime)`
Integrate the differential equations up to the given time.
`protected void`
MultistepFieldIntegrator.`start(FieldExpandableODE<T> equations, FieldODEState<T> initialState, T t)`
Start the integration.

## Uses of FieldExpandableODE in org.apache.commons.math3.ode.nonstiff

Methods in org.apache.commons.math3.ode.nonstiff with parameters of type FieldExpandableODE
Modifier and Type
Method
Description
`FieldODEStateAndDerivative<T>`
AdamsBashforthFieldIntegrator.`integrate(FieldExpandableODE<T> equations, FieldODEState<T> initialState, T finalTime)`
Integrate the differential equations up to the given time.
`abstract FieldODEStateAndDerivative<T>`
AdamsFieldIntegrator.`integrate(FieldExpandableODE<T> equations, FieldODEState<T> initialState, T finalTime)`
Integrate the differential equations up to the given time.
`FieldODEStateAndDerivative<T>`
AdamsMoultonFieldIntegrator.`integrate(FieldExpandableODE<T> equations, FieldODEState<T> initialState, T finalTime)`
Integrate the differential equations up to the given time.
`FieldODEStateAndDerivative<T>`
EmbeddedRungeKuttaFieldIntegrator.`integrate(FieldExpandableODE<T> equations, FieldODEState<T> initialState, T finalTime)`
Integrate the differential equations up to the given time.
`FieldODEStateAndDerivative<T>`
RungeKuttaFieldIntegrator.`integrate(FieldExpandableODE<T> equations, FieldODEState<T> initialState, T finalTime)`
Integrate the differential equations up to the given time.